> ## Documentation Index
> Fetch the complete documentation index at: https://docs.colloqui.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Source

> Delete a source from an existing knowledge base.



## OpenAPI

````yaml DELETE /api/v1/knowledge-bases/{knowledge_base_id}/sources/delete/{source_type}/{id}
openapi: 3.0.3
info:
  title: Colloqui API Documentation
  description: API documentation for Colloqui application
  version: 1.0.0
servers:
  - url: https://colloqui-web-develop-btoadh.laravel.cloud
security:
  - default: []
tags:
  - name: Authentication
    description: |-

      APIs for retrieving a token and invalidating the current token.
  - name: API Keys
    description: |-

      APIs for managing API keys.
  - name: Agent
    description: |-

      APIs for agents
  - name: Agent Versions
    description: |-

      APIs for retrieving version history of an agent.
  - name: Call History
    description: |-

      APIs for managing call histories.
  - name: Knowledge Base
    description: |-

      APIs for knowledge base management.
  - name: Number
    description: |-

      APIs for managing numbers.
  - name: Subscription
    description: |-

      APIs to subscribe an agent to a subscription.
  - name: User
    description: |-

      APIs for managing users.
  - name: Webhook
    description: |-

      APIs for managing webhooks.
  - name: Workspace
    description: |-

      APIs for managing workspaces.
  - name: Workspace User
    description: |-

      APIs for managing users within workspaces.
paths:
  /api/v1/knowledge-bases/{knowledge_base_id}/sources/delete/{source_type}/{id}:
    parameters:
      - in: path
        name: knowledge_base_id
        description: The ID of the knowledge base.
        example: 01kpwc4jtev0fs10ycryj2yawr
        required: true
        schema:
          type: string
      - in: path
        name: source_type
        description: The source to delete. One of `texts`, `urls`, or `files`.
        example: texts
        required: true
        schema:
          type: string
          enum:
            - texts
            - urls
            - files
      - in: path
        name: id
        description: The ID of the {source type}.
        example: 01kpwc4jtev0fs10ycryj2yawr
        required: true
        schema:
          type: string
    delete:
      tags:
        - Knowledge Base
      summary: Delete Knowledge Base Source
      description: Delete a source from an existing knowledge base.
      operationId: deleteKnowledgeBaseSource
      parameters: []
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                example:
                  data:
                    id: 01kqh44f0kfv5zmp2t3qwd0t68
                    name: aut adipisci quidem
                    texts: []
                    urls: []
                    files: []
                    created_at: '2026-05-01T06:38:04+00:00'
                    updated_at: '2026-05-01T06:38:04+00:00'
                    workspace_id: 01kqh44f07zmp0d8td41by3j3c
                properties:
                  data:
                    type: object
                    properties:
                      id:
                        type: string
                        example: 01kqh44f0kfv5zmp2t3qwd0t68
                      name:
                        type: string
                        example: aut adipisci quidem
                      texts:
                        type: array
                        example: []
                      urls:
                        type: array
                        example: []
                      files:
                        type: array
                        example: []
                      created_at:
                        type: string
                        example: '2026-05-01T06:38:04+00:00'
                      updated_at:
                        type: string
                        example: '2026-05-01T06:38:04+00:00'
                      workspace_id:
                        type: string
                        example: 01kqh44f07zmp0d8td41by3j3c
components:
  securitySchemes:
    default:
      type: http
      scheme: bearer
      description: Bearer token authentication

````